summaryrefslogtreecommitdiffstats
path: root/.scripts
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-11-26 14:17:18 -0500
committerLuke Smith <luke@lukesmith.xyz>2018-11-26 14:17:18 -0500
commit7edc71556dc6d60116a8e255590c0e70a75e39a9 (patch)
tree0ca95128db35ab940e6403a3a770fe7563a8586b /.scripts
parent0339e626c2f2b750eb105fd816b8cf52757decca (diff)
downloadeibhear-7edc71556dc6d60116a8e255590c0e70a75e39a9.tar.gz
eibhear-7edc71556dc6d60116a8e255590c0e70a75e39a9.tar.zst
eibhear-7edc71556dc6d60116a8e255590c0e70a75e39a9.zip
prep for icon repo
Diffstat (limited to '.scripts')
-rwxr-xr-x.scripts/cron/checkup22
-rwxr-xr-x.scripts/cron/crontog2
-rwxr-xr-x.scripts/cron/newsup4
-rw-r--r--.scripts/pix/lock.pngbin7897 -> 0 bytes
-rwxr-xr-x.scripts/tools/note11
-rwxr-xr-x.scripts/tools/transadd4
6 files changed, 35 insertions, 8 deletions
diff --git a/.scripts/cron/checkup b/.scripts/cron/checkup
new file mode 100755
index 0000000..c823b32
--- /dev/null
+++ b/.scripts/cron/checkup
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Syncs repositories and downloads updates, meant to be run as a cronjob.
+# For notifications, must export DBUS_SESSION_BUS_ADDRESS.
+# See my cronjob below and mimic it:
+#
+# 9 12 * * * eval "export DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus"; /home/luke/.scripts/cron/checkup
+
+ping -q -w 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
+
+note "Checking for pacakge updates..." "$PIX/larbs.gif"
+
+sudo pacman -Syyuw --noconfirm || note "Error downloading updates.
+
+Check your internet connection, if pacman is already running, or run update manually to see errors."
+pkill -RTMIN+8 i3blocks
+
+if pacman -Qul
+then
+ note "Package updates available. Click statusbar icon for update." "$PIX/larbs.gif"
+else
+ note "Repository sync complete. No new packages for update." "$PIX/larbs.gif"
+fi
diff --git a/.scripts/cron/crontog b/.scripts/cron/crontog
index d5c61be..e6ffd6a 100755
--- a/.scripts/cron/crontog
+++ b/.scripts/cron/crontog
@@ -2,4 +2,4 @@
# Toggles all cronjobs off/on.
# Stores disabled crontabs in ~/.consaved until restored.
-([ -f ~/.cronsaved ] && crontab - < ~/.cronsaved && rm ~/.cronsaved && notify-send "Cronjobs have been re-enabled." && echo cronjobs re-enabled.) || ( crontab -l > ~/.cronsaved && crontab -r && echo cronjobs saved and disabled.;notify-send "Cronjobs have been saved and disabled.")
+([ -f ~/.cronsaved ] && crontab - < ~/.cronsaved && rm ~/.cronsaved && note "Cronjobs re-enabled." "$PIX/clock.gif" ) || ( crontab -l > ~/.cronsaved && crontab -r && note "Cronjobs saved and disabled." "$PIX/clock.gif")
diff --git a/.scripts/cron/newsup b/.scripts/cron/newsup
index d5a1dc4..81c9b01 100755
--- a/.scripts/cron/newsup
+++ b/.scripts/cron/newsup
@@ -6,9 +6,13 @@
ping -q -t 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
+note "Updating RSS feeds..." "$PIX/rss.gif"
+
echo 🔃 > ~/.config/newsboat/.update
pkill -RTMIN+6 i3blocks
/usr/bin/newsboat -x reload
rm -f ~/.config/newsboat/.update
pkill -RTMIN+6 i3blocks
+
+note "RSS feed update complete." "$PIX/rss.gif"
diff --git a/.scripts/pix/lock.png b/.scripts/pix/lock.png
deleted file mode 100644
index b09875d..0000000
--- a/.scripts/pix/lock.png
+++ /dev/null
Binary files differ
diff --git a/.scripts/tools/note b/.scripts/tools/note
index a90bff1..09186ea 100755
--- a/.scripts/tools/note
+++ b/.scripts/tools/note
@@ -1,7 +1,8 @@
#!/bin/sh
+# This is a general notification command for my own ease.
+# $1 should be a message
+# $2 is an optional image for notify-send
+# Echos content on terminal and if dunst is running, shows notification.
-# A super basic command. Give it some arguments to use as anotification. It
-# will echo them on the terminal, and if you have `dunst` running, will send a
-# `notify-send` message to it.
-
-echo "$@" && pgrep -x dunst >/dev/null && notify-send "$@"
+[ -z "$2" ] || img="-i $2"
+echo "$1" && pgrep -x dunst >/dev/null && notify-send $img "$1"
diff --git a/.scripts/tools/transadd b/.scripts/tools/transadd
index 782f67a..8cc7e80 100755
--- a/.scripts/tools/transadd
+++ b/.scripts/tools/transadd
@@ -7,6 +7,6 @@
# transmission-daemon sometimes fails to take remote requests in its first
# moments.
-pgrep -x transmission-da || (transmission-daemon && note "Starting daemon..." && sleep 3 && pkill -RTMIN+7 i3blocks)
+pgrep -x transmission-da || (transmission-daemon && note "Starting daemon..." "$PIX/dl.png" && sleep 3 && pkill -RTMIN+7 i3blocks)
-transmission-remote -a "$@" && note "Torrent added."
+transmission-remote -a "$@" && note "Torrent added." "$PIX/dl.png"